---
category: [Platform and Product Extensions, Administration & Integrations, Administration & Integrations/Custom Integrations & Apps, Platform and Product Extensions/Integration]
keyword: [Integrate, Workday Integration, Orchestrate for Integrations, Orchestration, Orchestration Builder]
nav: wcp_docs
parent_url: /wcp_docs/
title: Enable Verbose Logging for Orchestrations
layout: subsection
---

### Prerequisites

<a id="d453e104"></a>
-   Have a Developer, Collaborator, or Developer Support role.
-   Create an integrations app or an Extend app containing an orchestration.


### Context

<a id="d453e119"></a>
Verbose logging can help you perform troubleshooting during development by providing additional information about code execution. Workday provides verbose logging for orchestrations through a user-friendly REST API.

### Steps

1.  <a id="d453e127"></a>To enable verbose logging, send a `PUT` request to the appropriate endpoint for your location:

    -   US: `https://api.us.wcp.workday.com/orchestrate/v1/apps/{appID}/orchestrations/{orchName}/debug/logging`
    -   EMEA: `https://api.eu.wcp.workday.com/orchestrate/v1/apps/{appID}/orchestrations/{orchName}/debug/logging`

    Replace the placeholders in the URL with these values:

    -   `{appID}`: the ID of the app containing the orchestration.
    -   `{orchName}`: the orchestration's name.

2.  <a id="d453e169"></a>Include this header in the `PUT` request: `Authorization: Bearer {token}`.

    Replace `{token}` with your JSON Web Token (JWT).

    <b>Note:</b> To find the JWT, log in to the Workday Developer site and open your browser's Developer Console. Example: in Google Chrome, right-click in the browser window and click <b>Inspect</b>. Find a cookie named `wday-access-token` and copy the associated value. Example: in Google Chrome, cookies are in the <b>Storage</b> section under the <b>Application</b> heading. A JWT is valid for 1 hour. If your token expires, refresh the Developer site window to generate a new one.

3.  <a id="d453e202"></a>In the `PUT` request's body, include a JSON object with these fields:

    -   `tenantAlias`: the orchestration's tenant alias.
    -   `oneTimeOnly`: A boolean value specifying whether the logging should run just once.
    -   `duration`: The duration of the logging session. The default value is `30m`. The minimum allowed value is `0s` and the maximum is `14d`.
    -   `stepFilter`: The steps you want to include in verbose logging. If you don't apply a filter, all steps are included.

4.  <a id="d453e250"></a>If the request is succesful, the API returns a JSON object containing these fields:

    -   `tenantAlias`: the orchestration's tenant alias.
    -   `appID`: The ID of the app containing the orchestration.
    -   `orchName`: The orchestration's name.
    -   `stepFilter`: The steps included in verbose logging.
    -   `oneTimeOnly`: A boolean value specifying whether the logging should run just once.
    -   `disposed`: A boolean value that's set to `true` if `oneTimeOnly` logging was enabled and has now been used.
    -   `expiry`: The date and time when verbose logging will expire.



### Example

Sample request to enable verbose logging:

```
PUT
https://api.us.wcp.workday.com/orchestrate/v1/apps/sampleapplication_ycjtxv/orchestrations/sample123/debug/logging HTTP/1.1
Authorization: Bearer MiIsImtpZCI6IjIwkceirijlcdrnlfgdgkCI6IjCI6Ij
Content-Type: application/json

{
   "tenantAlias": "superi-0d95072fedc1f3704",
   "oneTimeOnly": true,
   "duration": "2h",
   "stepFilter": "*"
}
```

